using Wizard;

public static class Payment
{
	private static bool initialized;

	public static void initialize(PaymentImpl callback, string productKey)
	{
		PaymentImpl.GetInstance().paymentUI.StartLoading();
		_ = initialized;
		initialized = true;
	}

	public static void finalize()
	{
		if (initialized)
		{
			initialized = false;
		}
	}

	public static void purchaseProduct(string productId, PaymentBase.RefundWarningType refundWarningType)
	{
		RefundWarningDialog.Start(refundWarningType, delegate
		{
			PaymentImpl.GetInstance().paymentUI.StartLoading(useTimeCount: true);
		});
	}

	public static void getProductList(string[] productIds)
	{
		PaymentImpl.GetInstance().paymentUI.StartLoading(useTimeCount: true, forProductListInit: true);
	}

	public static void consumePurchase(string[] productIds, string orderId)
	{
		PaymentImpl.GetInstance().paymentUI.StartLoading(useTimeCount: true);
	}

	public static void UseDebugLog(bool useDebugLog)
	{
	}
}
